%define upstream_name    RRDTool-OO
%define upstream_version 0.32

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Object-oriented interface to RRDTool
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RRDTool/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(RRDs)
BuildArch: noarch

%description
'RRDTool::OO' is an object-oriented interface to Tobi Oetiker's round robin
database tool _rrdtool_. It uses _rrdtool_'s 'RRDs' module to get access to
_rrdtool_'s shared library.

'RRDTool::OO' tries to marry _rrdtool_'s database engine with the
dwimminess and whipuptitude Perl programmers take for granted. Using
'RRDTool::OO' abstracts away implementation details of the RRD engine, uses
easy to memorize named parameters and sets meaningful defaults for
parameters not needed in simple cases. For the experienced user, however,
it provides full access to _rrdtool_'s API (if you find a feature that's
not implemented, let me know).

FUNCTIONS
    * _my $rrd = RRDTool::OO->new( file => $file )_

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Mar 30 2012 jquelin <jquelin> 0.320.0-1.mga2
+ Revision: 227568
- imported package perl-RRDTool-OO


* Fri Mar 30 2012 cpan2dist 0.32-1mga
- initial mageia release, generated with cpan2dist
